'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-14914b7b.js');
const signTransactionsModalStore = require('./signTransactionsModalStore-e69ee459.js');

const TokenComponent = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    render() {
        const { tokenTransaction } = signTransactionsModalStore.state;
        const { amount, identifier, usdValue } = tokenTransaction || {};
        return (index.h("sign-transaction-component", { key: 'f8f05e3c1b6ad0c7c2fd94b298ed200f08bfaa8f', header: index.h("balance-component", { amount: amount, ticker: identifier, usdValue: usdValue, header: "You are sending" }) }));
    }
};

exports.token_component = TokenComponent;

//# sourceMappingURL=token-component.cjs.entry.js.map