import { p as proxyCustomElement, H, h } from './p-ac76a689.js';

const balanceComponentCss = "*{margin:0;padding:0;box-sizing:border-box}.balance-container{display:flex;flex-direction:column}.amount-container{display:inline-flex;align-items:flex-start;gap:4px;font-size:24px;line-height:1}.amount-value{font-weight:bold}.amount-ticker{font-size:16px;align-self:flex-start}";
const BalanceComponentStyle0 = balanceComponentCss;

const BalanceComponent = /*@__PURE__*/ proxyCustomElement(class BalanceComponent extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
        this.amount = '';
        this.ticker = '';
        this.usdValue = undefined;
        this.header = '';
    }
    render() {
        return (h("div", { key: '32f7d960b42ea9050dc9b50b946c9ec0e6993e5c', class: "balance-container" }, this.header && h("p", { key: 'eb33bebb795df2204364de657078385e1ad7d53f' }, this.header), h("div", { key: '1494ffed4700749054c82180c9b710ac628359f6', class: "amount-container" }, h("span", { key: '2c1b4d4d61b0fbbacbfac74f3e63fbc18aab5dd9', class: "amount-value" }, this.amount), h("span", { key: '2bf3d194523e7eeeb3715b2158ccbda9f72d4c3b', class: "amount-ticker" }, this.ticker)), this.usdValue && h("span", { key: '340f915f318f25dcdd66f0bf8dde182016870ef6' }, this.usdValue)));
    }
    static get style() { return BalanceComponentStyle0; }
}, [1, "balance-component", {
        "amount": [1],
        "ticker": [1],
        "usdValue": [1, "usd-value"],
        "header": [1]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["balance-component"];
    components.forEach(tagName => { switch (tagName) {
        case "balance-component":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, BalanceComponent);
            }
            break;
    } });
}
defineCustomElement();

export { BalanceComponent as B, defineCustomElement as d };

//# sourceMappingURL=p-8a2cf03b.js.map