import { p as proxyCustomElement, H, h } from './p-ac76a689.js';

const transactionToastWrapperCss = ".transaction-toast-wrapper{border-radius:0.25rem;box-shadow:0 0.25rem 0.75rem rgba(0, 0, 0, 0.1);margin-bottom:0.7rem;padding:0.5rem;background-color:#fff;position:relative}";
const TransactionToastWrapperStyle0 = transactionToastWrapperCss;

const TransactionToastWrapper = /*@__PURE__*/ proxyCustomElement(class TransactionToastWrapper extends H {
    constructor() {
        super();
        this.__registerHost();
        this.wrapperClass = 'transaction-toast-wrapper';
        this.wrapperId = undefined;
    }
    render() {
        return (h("div", { key: '6ff729fb4da9354105bc94dc4bc0f864f2915850', id: this.wrapperId, class: this.wrapperClass }, h("slot", { key: 'ab84db696bc25e1f5a77643f2d0831f3988ce8aa' })));
    }
    static get style() { return TransactionToastWrapperStyle0; }
}, [4, "transaction-toast-wrapper", {
        "wrapperClass": [1, "wrapper-class"],
        "wrapperId": [1, "wrapper-id"]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["transaction-toast-wrapper"];
    components.forEach(tagName => { switch (tagName) {
        case "transaction-toast-wrapper":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, TransactionToastWrapper);
            }
            break;
    } });
}
defineCustomElement();

export { TransactionToastWrapper as T, defineCustomElement as d };

//# sourceMappingURL=p-a47dfa8e.js.map