import { h } from "@stencil/core";
export class GenericModal {
    constructor() {
        this.body = undefined;
        this.modalTitle = undefined;
        this.modalSubtitle = undefined;
        this.onClose = undefined;
    }
    render() {
        return (h("div", { key: '4ca16c1e28dbc52c3b3a62a94c05be7b14444dec', class: "modal" }, h("div", { key: 'fb3fdac03da7407d9203fdea83d0bb3e9b4fc58a', class: "modal-content" }, h("div", { key: 'e2784339c97dc4b7513577879875379cc6b8914f', class: "modal-header" }, h("span", { key: 'd1230834165404e0c3623030b783052fc64eccbb', class: "close", onClick: this.onClose }, "\u2715"), h("h2", { key: '2fc3e9f1dd053fd7b71d5040e5bb5e7de0b24037' }, this.modalTitle), this.modalSubtitle && h("h4", { key: '400b4449d4d1f87e7bba806f787209f86c46d294' }, this.modalSubtitle)), this.body)));
    }
    static get is() { return "generic-modal"; }
    static get originalStyleUrls() {
        return {
            "$": ["./generic-modal.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["generic-modal.css"]
        };
    }
    static get properties() {
        return {
            "body": {
                "type": "unknown",
                "mutable": false,
                "complexType": {
                    "original": "VNode",
                    "resolved": "VNode",
                    "references": {
                        "VNode": {
                            "location": "import",
                            "path": "@stencil/core",
                            "id": "node_modules::VNode"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false
            },
            "modalTitle": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string | VNode",
                    "resolved": "VNode | string",
                    "references": {
                        "VNode": {
                            "location": "import",
                            "path": "@stencil/core",
                            "id": "node_modules::VNode"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "modal-title",
                "reflect": false
            },
            "modalSubtitle": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string | VNode",
                    "resolved": "VNode | string",
                    "references": {
                        "VNode": {
                            "location": "import",
                            "path": "@stencil/core",
                            "id": "node_modules::VNode"
                        }
                    }
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "modal-subtitle",
                "reflect": false
            },
            "onClose": {
                "type": "unknown",
                "mutable": false,
                "complexType": {
                    "original": "() => void",
                    "resolved": "() => void",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false
            }
        };
    }
}
//# sourceMappingURL=generic-modal.js.map
