import { h } from "@stencil/core";
export class BalanceComponent {
    constructor() {
        this.amount = '';
        this.ticker = '';
        this.usdValue = undefined;
        this.header = '';
    }
    render() {
        return (h("div", { key: '32f7d960b42ea9050dc9b50b946c9ec0e6993e5c', class: "balance-container" }, this.header && h("p", { key: 'eb33bebb795df2204364de657078385e1ad7d53f' }, this.header), h("div", { key: '1494ffed4700749054c82180c9b710ac628359f6', class: "amount-container" }, h("span", { key: '2c1b4d4d61b0fbbacbfac74f3e63fbc18aab5dd9', class: "amount-value" }, this.amount), h("span", { key: '2bf3d194523e7eeeb3715b2158ccbda9f72d4c3b', class: "amount-ticker" }, this.ticker)), this.usdValue && h("span", { key: '340f915f318f25dcdd66f0bf8dde182016870ef6' }, this.usdValue)));
    }
    static get is() { return "balance-component"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["balance-component.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["balance-component.css"]
        };
    }
    static get properties() {
        return {
            "amount": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "amount",
                "reflect": false,
                "defaultValue": "''"
            },
            "ticker": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "ticker",
                "reflect": false,
                "defaultValue": "''"
            },
            "usdValue": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "usd-value",
                "reflect": false
            },
            "header": {
                "type": "string",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "attribute": "header",
                "reflect": false,
                "defaultValue": "''"
            }
        };
    }
}
//# sourceMappingURL=balance-component.js.map
