import { r as registerInstance, h } from './index-3c959d8a.js';
import { s as state } from './signTransactionsModalStore-b5c1de6f.js';

const TokenComponent = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        const { tokenTransaction } = state;
        const { amount, identifier, usdValue } = tokenTransaction || {};
        return (h("sign-transaction-component", { key: 'f8f05e3c1b6ad0c7c2fd94b298ed200f08bfaa8f', header: h("balance-component", { amount: amount, ticker: identifier, usdValue: usdValue, header: "You are sending" }) }));
    }
};

export { TokenComponent as token_component };

//# sourceMappingURL=token-component.entry.js.map